# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::CSS2FontFaceWidths Class Reference

The `CSS2Cursor` interface represents a simple value for the widths CSS Level 2 descriptor. More...

`#include <css_extensions.h>`

List of all members.

## Public Member Functions

| CSS2FontFaceWidths (const CSS2FontFaceWidths &other)
| CSS2FontFaceWidths (CSS2FontFaceWidthsImpl *impl)
CSS2FontFaceWidths & | operator= (const CSS2FontFaceWidths &other)
DOM::DOMString | urange () const
| The range for the characters.
void | setUrange (const DOM::DOMString &)
| see urange
CSSValueList | numbers () const
| A list of numbers representing the glyph widths.

## Detailed Description

The `CSS2Cursor` interface represents a simple value for the widths CSS Level 2 descriptor.

Definition at line 695 of file css_extensions.h.

## Member Function Documentation

DOMString CSS2FontFaceWidths::urange | ( |  | ) | const

| The range for the characters. Definition at line 461 of file css_extensions.cpp.

void CSS2FontFaceWidths::setUrange | ( | const DOM::DOMString & |  | ) |

see urange

Exceptions:

  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 467 of file css_extensions.cpp.

CSSValueList CSS2FontFaceWidths::numbers | ( |  | ) | const

| A list of numbers representing the glyph widths. Definition at line 472 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001